package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpTicket {
    private Integer id;

    private Integer communityId;

    private Integer taUserId;

    private String ticketTitle;

    private String ticketContent;

    private String status;

    private String type;

    private String repairType;
    
    /**
     * 报修类型的名字
     */
    private String repairName;

    private Integer tpUserId;

    private String score;

    private String comment;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    private String [] tdImagesList;

    private List<TpTicketRecord> ticketRecordList;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTaUserId() {
        return taUserId;
    }

    public void setTaUserId(Integer taUserId) {
        this.taUserId = taUserId;
    }

    public String getTicketTitle() {
        return ticketTitle;
    }

    public void setTicketTitle(String ticketTitle) {
        this.ticketTitle = ticketTitle == null ? null : ticketTitle.trim();
    }

    public String getTicketContent() {
        return ticketContent;
    }

    public void setTicketContent(String ticketContent) {
        this.ticketContent = ticketContent == null ? null : ticketContent.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getRepairType() {
        return repairType;
    }

    public void setRepairType(String repairType) {
        this.repairType = repairType == null ? null : repairType.trim();
    }

    public Integer getTpUserId() {
        return tpUserId;
    }

    public void setTpUserId(Integer tpUserId) {
        this.tpUserId = tpUserId;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score == null ? null : score.trim();
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment == null ? null : comment.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    
    public String getRepairName() {
        return repairName;
    }
    
    public void setRepairName(String repairName) {
        this.repairName = repairName;
    }
    
    public List<TpTicketRecord> getTicketRecordList() {
        return ticketRecordList;
    }
    
    public void setTicketRecordList(List<TpTicketRecord> ticketRecordList) {
        this.ticketRecordList = ticketRecordList;
    }

    public String[] getTdImagesList() {
        return tdImagesList;
    }

    public void setTdImagesList(String[] tdImagesList) {
        this.tdImagesList = tdImagesList;
    }
}